# chrono - agendas system
# Copyright (C) 2022  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^criterias/$', views.criteria_list, name='chrono-manager-pricing-criteria-list'),
    url(
        r'^criteria/category/add/$',
        views.criteria_category_add,
        name='chrono-manager-pricing-criteria-category-add',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/edit/$',
        views.criteria_category_edit,
        name='chrono-manager-pricing-criteria-category-edit',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/delete/$',
        views.criteria_category_delete,
        name='chrono-manager-pricing-criteria-category-delete',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/export/$',
        views.criteria_category_export,
        name='chrono-manager-pricing-criteria-category-export',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/order/$',
        views.criteria_order,
        name='chrono-manager-pricing-criteria-order',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/add/$',
        views.criteria_add,
        name='chrono-manager-pricing-criteria-add',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/(?P<pk>\d+)/edit/$',
        views.criteria_edit,
        name='chrono-manager-pricing-criteria-edit',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/(?P<pk>\d+)/delete/$',
        views.criteria_delete,
        name='chrono-manager-pricing-criteria-delete',
    ),
]
